package com.yunfeiyun.agmp.fms.mapper;

import com.yunfeiyun.agmp.fms.domain.TssSourceinfo;
import com.yunfeiyun.agmp.fms.domain.resvo.TssSourceinfoListResVo;

import java.util.List;

/**
 * 溯源信息Mapper接口
 * 
 * @author 杨晓辉
 * @date 2023-06-25
 */
public interface TssSourceinfoMapper 
{
    /**
     * 查询溯源信息
     * 
     * @param sourceinfoId 溯源信息主键
     * @return 溯源信息
     */
    public TssSourceinfo selectTssSourceinfoBySourceinfoId(String sourceinfoId);

    public TssSourceinfo selectTssSourceinfoByTarcecodeapplyno(String tarcecodeapplyno);

    /**
     * 查询溯源信息列表
     * 
     * @param tssSourceinfo 溯源信息
     * @return 溯源信息集合
     */
    public List<TssSourceinfoListResVo> selectTssSourceinfoList(TssSourceinfo tssSourceinfo);

    /**
     * 新增溯源信息
     * 
     * @param tssSourceinfo 溯源信息
     * @return 结果
     */
    public int insertTssSourceinfo(TssSourceinfo tssSourceinfo);

    /**
     * 修改溯源信息
     * 
     * @param tssSourceinfo 溯源信息
     * @return 结果
     */
    public int updateTssSourceinfo(TssSourceinfo tssSourceinfo);

    /**
     * 删除溯源信息
     * 
     * @param sourceinfoId 溯源信息主键
     * @return 结果
     */
    public int deleteTssSourceinfoBySourceinfoId(String sourceinfoId);

    /**
     * 批量删除溯源信息
     * 
     * @param sourceinfoIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTssSourceinfoBySourceinfoIds(String[] sourceinfoIds);
}
